// Skybox from Ultimate Skybox Pack by Ghost and Garux
// https://trello.com/c/5xdj4FkI/487-ultimate-skybox-pack-3700-skies-with-shaders
textures/wintertorture/b_bartuc_grey_sky
{
	qer_editorImage env/csgo/bartuc/editor/bartuc_grey_sky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 1 1 50 -104 16 2 16
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 100 4
	nopicmip
	skyparms env/csgo/bartuc/bartuc_grey_sky - -
}

textures/wintertorture/cyan_top
{
	qer_editorimage textures/wintertorture/qer/cyan_top.tga
	q3map_surfacelight 200
	q3map_backSplash 5 2
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm trans
	nopicmip
	{
		map textures/dsi_textures/cretebase2.tga
		tcMod scale 0.25 0.25
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wintertorture/cyan_sfx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map textures/wintertorture/cyan_sfx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 0.25 0.05 0 0.1
		tcMod scroll 0 0.2
		rgbGen identity
	}
}

textures/wintertorture/cyan_top_ns
{
	qer_editorimage textures/wintertorture/qer/cyan_top.tga
	q3map_surfacelight 200
	q3map_backSplash 5 2
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	{
		map textures/dsi_textures/cretebase2.tga
		tcMod scale 0.25 0.25
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wintertorture/cyan_sfx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map textures/wintertorture/cyan_sfx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 0.25 0.05 0 0.1
		tcMod scroll 0 0.2
		rgbGen identity
	}
}

textures/wintertorture/cyan_side
{
	qer_editorimage textures/wintertorture/qer/cyan_side.tga
	q3map_surfacelight 200
	q3map_backSplash 5 2
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm trans
	nopicmip
	{
		map textures/dsi_textures/cretebase4.tga
		tcMod scale 0.25 0.25
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wintertorture/cyan_sfx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map textures/wintertorture/cyan_sfx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 0.25 0.05 0 0.1
		tcMod scroll 0 0.2
		rgbGen identity
	}
}

textures/wintertorture/cyan_side_ns
{
	qer_editorimage textures/wintertorture/qer/cyan_side.tga
	q3map_surfacelight 200
	q3map_backSplash 5 2
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	{
		map textures/dsi_textures/cretebase4.tga
		tcMod scale 0.25 0.25
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wintertorture/cyan_sfx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map textures/wintertorture/cyan_sfx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 0.25 0.05 0 0.1
		tcMod scroll 0 0.2
		rgbGen identity
	}
}

textures/wintertorture/cretebase_ns
{
	qer_editorimage textures/dsi_textures/cretebase.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_lightmapMergable
	surfaceparm nonsolid
	{
		map textures/dsi_textures/cretebase.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wintertorture/cretebase2_ns
{
	qer_editorimage textures/dsi_textures/cretebase2.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_lightmapMergable
	surfaceparm nonsolid
	{
		map textures/dsi_textures/cretebase2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wintertorture/cretebase3_ns
{
	qer_editorimage textures/dsi_textures/cretebase3.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_lightmapMergable
	surfaceparm nonsolid
	{
		map textures/dsi_textures/cretebase3.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wintertorture/cretebase4_ns
{
	qer_editorimage textures/dsi_textures/cretebase4.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_lightmapMergable
	surfaceparm nonsolid
	{
		map textures/dsi_textures/cretebase4.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wintertorture/cel_dark
{
	qer_editorimage textures/dsi_textures/cretebase4.tga

	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_texturesize 1 1
	q3map_invert
	q3map_offset -0.25

	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	{
		map textures/dsi_textures/cretebase4.tga
		rgbGen identity
	}
}

levelshots/wintertorture_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/wintertorture_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/wintertorture_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/wintertorture_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}